
.SUFFIXES: .java .class

.java.class:
	(unset CLASSPATH; javac $<)

SOURCES = Coordinate.java AnimCanvas.java GridCanvas.java \
	MetaPanel.java SommerCampWrap.java SommerCampFrame.java

TARGETS = $(SOURCES:%.java=%.class)

SOURCE_IMAGE = scjacobi.gif
TARGET_IMAGE = scblick.gif

all: $(TARGETS)

view_frame_deform: $(TARGETS)
	(CLASSPATH=.; export CLASSPATH; java SommerCampFrame $(SOURCE_IMAGE) &)

view_frame_animate: $(TARGETS)
	(CLASSPATH=.; export CLASSPATH; java SommerCampFrame $(SOURCE_IMAGE) $(TARGET_IMAGE) &)

view_applet: $(TARGETS)
	(unset CLASSPATH; appletviewer SommerCampWrap.html &)

